// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class ConnectionConfig
    {
        public readonly string Host;
        public readonly int? Port;
        public readonly string? PrivateKeyPass;
        public readonly string PrivateKeyPath;
        public readonly string? User;

        [OutputConstructor]
        private ConnectionConfig(
            string host,

            int? port,

            string? privateKeyPass,

            string privateKeyPath,

            string? user)
        {
            Host = host;
            Port = port;
            PrivateKeyPass = privateKeyPass;
            PrivateKeyPath = privateKeyPath;
            User = user;
        }
    }
}
